package com.ruoyi.ai.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.ai.domain.AiSampleAmountRecord;

/**
 * 体验金领取记录Mapper接口
 *
 * @author shi
 * @date 2025-11-13
 */
public interface AiSampleAmountRecordMapper extends BaseMapper<AiSampleAmountRecord> {
    int deleteAiSampleAmountRecordByIds(Long[] ids);

    int deleteAiSampleAmountRecordById(Long id);

    List<AiSampleAmountRecord> selectAiSampleAmountRecordList(AiSampleAmountRecord aiSampleAmountRecord);
}
